Bug 1266543 - [RFE] option to select Activation Keys for new content host on 'Content Host Registration' page
[RFE] option to select Activation Keys for new content host on 'Content Host ...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Activation Keys (Show other bugs)
6.1.2
x86_64 Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 10:53 EDT by Amar Huchchanavar
Modified: 2017-06-26 09:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Huchchanavar 2015-09-25 10:53:07 EDT
1. Proposed title of this feature request  
   
Activation Keys should be given as an option on the new content host page for Content Host Registration.
            
2. Who is the customer behind the request?  
    Account: 	USAA / 417106
      
    TAM customer: no (Has a TAM)
    SRM customer: no
    Strategic:   yes  
      
3. What is the nature and description of the request?  
When registering a new content host, the page gives you helpful dialog that gives you all the commands to register a box, but it just contains a dummy line for the activation key. It would be nice if it gave you a dropdown that you could choose your activation key from and then generate the command, like the activation key page does.

      
4. Why does the customer need this? (List the business requirements here) 

As far as business justification, the main thing is improving usability. If you're going to provide a tool that generates the commands and steps you need to run, it should probably also let you create the correct commands to run.
      
5. How would the customer like to achieve this? (List the functional requirements here)  
Drop down option on 'Content Host Registration' page for Activation Key option.
      
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
      
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No
      
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
Satellite 6.1.3
      
9. Is the sales team involved in this request and do they have any additional input?  
No
      
10. List any affected packages or components.  
Satellite Web UI.
      
11. Would the customer be able to assist in testing this functionality if implemented?  
Yes
Comment 3 Bryan Kearney 2016-07-08 16:36:42 EDT
Per 6.3 planning, moving out non acked bugs to the backlog

Note You need to log in before you can comment on or make changes to this bug.